> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get balance sheet statement



## OpenAPI

````yaml api-reference/openapi.json get /api/reports/balance-sheet
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/reports/balance-sheet:
    get:
      tags:
        - Reports
      summary: Get balance sheet statement
      operationId: BalanceSheetStatementController_balanceSheet
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - name: displayColumnsType
          required: true
          in: query
          description: Type of columns to display in the balance sheet
          schema:
            default: total
            enum:
              - total
              - date_periods
            type: string
        - name: displayColumnsBy
          required: true
          in: query
          description: Time period for column display
          schema:
            default: year
            enum:
              - day
              - month
              - year
              - quarter
            type: string
        - name: fromDate
          required: false
          in: query
          description: Start date for the balance sheet period
          schema:
            type: string
        - name: toDate
          required: false
          in: query
          description: End date for the balance sheet period
          schema:
            type: string
        - description: Number of decimal places to display
          required: false
          name: precision
          in: query
          schema:
            example: 2
            type: number
        - description: Whether to divide the number by 1000
          required: false
          name: divideOn1000
          in: query
          schema:
            example: false
            type: boolean
        - description: Whether to show zero values
          required: false
          name: showZero
          in: query
          schema:
            type: boolean
            example: true
        - description: How to format money values
          required: false
          name: formatMoney
          in: query
          schema:
            example: total
            enum:
              - total
              - always
              - none
            type: string
        - description: How to format negative numbers
          required: false
          name: negativeFormat
          in: query
          schema:
            example: parentheses
            enum:
              - parentheses
              - mines
            type: string
        - name: noneTransactions
          required: false
          in: query
          description: Whether to include accounts with no transactions
          schema:
            default: false
            type: boolean
        - name: noneZero
          required: false
          in: query
          description: Whether to exclude zero balance accounts
          schema:
            default: false
            type: boolean
        - name: basis
          required: false
          in: query
          description: Accounting basis for the balance sheet
          schema:
            enum:
              - cash
              - accrual
            type: string
        - name: accountIds
          required: true
          in: query
          description: Array of account IDs to include in the balance sheet
          schema:
            type: array
            items:
              type: number
        - name: percentageOfColumn
          required: false
          in: query
          description: Whether to show percentage of column total
          schema:
            default: false
            type: boolean
        - name: percentageOfRow
          required: false
          in: query
          description: Whether to show percentage of row total
          schema:
            default: false
            type: boolean
        - name: previousPeriod
          required: false
          in: query
          description: Whether to include previous period data
          schema:
            default: false
            type: boolean
        - name: previousPeriodAmountChange
          required: false
          in: query
          description: Whether to show amount change from previous period
          schema:
            default: false
            type: boolean
        - name: previousPeriodPercentageChange
          required: false
          in: query
          description: Whether to show percentage change from previous period
          schema:
            default: false
            type: boolean
        - name: previousYear
          required: false
          in: query
          description: Whether to include previous year data
          schema:
            default: false
            type: boolean
        - name: previousYearAmountChange
          required: false
          in: query
          description: Whether to show amount change from previous year
          schema:
            default: false
            type: boolean
        - name: previousYearPercentageChange
          required: false
          in: query
          description: Whether to show percentage change from previous year
          schema:
            default: false
            type: boolean
        - name: accept
          required: true
          in: header
          schema:
            type: string
      responses:
        '200':
          description: Balance sheet statement
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BalanceSheetResponseDto'
              example:
                query:
                  display_columns_type: total
                  display_columns_by: year
                  from_date: '2025-01-01'
                  to_date: '2025-06-16'
                  number_format:
                    precision: 2
                    divide_on1000: false
                    show_zero: false
                    format_money: total
                    negative_format: mines
                  none_zero: false
                  none_transactions: false
                  basis: cash
                  account_ids: []
                  percentage_of_column: false
                  percentage_of_row: false
                  previous_period: false
                  previous_period_amount_change: false
                  previous_period_percentage_change: false
                  previous_year: false
                  previous_year_amount_change: false
                  previous_year_percentage_change: false
                data:
                  - name: Assets
                    id: ASSETS
                    node_type: AGGREGATE
                    type: AGGREGATE
                    total:
                      amount: -122623
                      formatted_amount: '-$122,623.00'
                      currency_code: USD
                    children:
                      - name: Current Asset
                        id: CURRENT_ASSETS
                        node_type: AGGREGATE
                        type: AGGREGATE
                        total:
                          amount: -122623
                          formatted_amount: '-$122,623.00'
                          currency_code: USD
                        children:
                          - name: Cash and cash equivalents
                            id: CASH_EQUIVALENTS
                            node_type: AGGREGATE
                            type: AGGREGATE
                            total:
                              amount: -500
                              formatted_amount: '-$500.00'
                              currency_code: USD
                            children:
                              - id: 1002
                                index: 1
                                name: Undeposited Funds
                                code: '10003'
                                total:
                                  amount: 0
                                  formatted_amount: ''
                                  currency_code: USD
                                node_type: ACCOUNT
                                children: []
                              - id: 1003
                                index: 1
                                name: Petty Cash
                                code: '10004'
                                total:
                                  amount: 0
                                  formatted_amount: ''
                                  currency_code: USD
                                node_type: ACCOUNT
                                children: []
                              - id: 1000
                                index: 1
                                name: Bank Account
                                code: '10001'
                                total:
                                  amount: -500
                                  formatted_amount: '-500.00'
                                  currency_code: USD
                                node_type: ACCOUNT
                                children: []
                              - id: 1001
                                index: 1
                                name: Saving Bank Account
                                code: '10002'
                                total:
                                  amount: 0
                                  formatted_amount: ''
                                  currency_code: USD
                                node_type: ACCOUNT
                                children: []
                              - id: 1034
                                index: null
                                name: Chase - Plaid Checking
                                code: ''
                                total:
                                  amount: 0
                                  formatted_amount: ''
                                  currency_code: USD
                                node_type: ACCOUNT
                                children: []
                          - name: Accounts Receivable
                            id: ACCOUNTS_RECEIVABLE
                            node_type: AGGREGATE
                            type: AGGREGATE
                            total:
                              amount: 0
                              formatted_amount: $0.00
                              currency_code: USD
                            children:
                              - id: 1006
                                index: 1
                                name: Accounts Receivable (A/R)
                                code: '10007'
                                total:
                                  amount: 0
                                  formatted_amount: ''
                                  currency_code: USD
                                node_type: ACCOUNT
                                children: []
                          - name: Inventory
                            id: INVENTORY
                            node_type: AGGREGATE
                            type: AGGREGATE
                            total:
                              amount: 1000
                              formatted_amount: $1,000.00
                              currency_code: USD
                            children:
                              - id: 1007
                                index: 1
                                name: Inventory Asset
                                code: '10008'
                                total:
                                  amount: 1000
                                  formatted_amount: 1,000.00
                                  currency_code: USD
                                node_type: ACCOUNT
                                children: []
                          - name: Other current assets
                            id: OTHER_CURRENT_ASSET
                            node_type: AGGREGATE
                            type: AGGREGATE
                            total:
                              amount: -123123
                              formatted_amount: '-$123,123.00'
                              currency_code: USD
                            children:
                              - id: 1030
                                index: 1
                                name: Prepaid Expenses
                                code: '100010'
                                total:
                                  amount: -123123
                                  formatted_amount: '-123,123.00'
                                  currency_code: USD
                                node_type: ACCOUNT
                                children: []
                      - name: Fixed Asset
                        id: FIXED_ASSET
                        node_type: AGGREGATE
                        type: AGGREGATE
                        total:
                          amount: 0
                          formatted_amount: $0.00
                          currency_code: USD
                        children:
                          - id: 1004
                            index: 1
                            name: Computer Equipment
                            code: '10005'
                            total:
                              amount: 0
                              formatted_amount: ''
                              currency_code: USD
                            node_type: ACCOUNT
                            children: []
                          - id: 1005
                            index: 1
                            name: Office Equipment
                            code: '10006'
                            total:
                              amount: 0
                              formatted_amount: ''
                              currency_code: USD
                            node_type: ACCOUNT
                            children: []
                      - name: Non-Current Assets
                        id: NON_CURRENT_ASSET
                        node_type: AGGREGATE
                        type: AGGREGATE
                        total:
                          amount: 0
                          formatted_amount: $0.00
                          currency_code: USD
                        children: []
                  - name: Liabilities and Equity
                    id: LIABILITY_EQUITY
                    node_type: AGGREGATE
                    type: AGGREGATE
                    total:
                      amount: -122623
                      formatted_amount: '-$122,623.00'
                      currency_code: USD
                    children:
                      - name: Liabilities
                        id: LIABILITY
                        node_type: AGGREGATE
                        type: AGGREGATE
                        total:
                          amount: -8700
                          formatted_amount: '-$8,700.00'
                          currency_code: USD
                        children:
                          - name: Current Liabilties
                            id: CURRENT_LIABILITY
                            node_type: AGGREGATE
                            type: AGGREGATE
                            total:
                              amount: -8700
                              formatted_amount: '-$8,700.00'
                              currency_code: USD
                            children:
                              - id: 1008
                                index: 1
                                name: Accounts Payable (A/P)
                                code: '20001'
                                total:
                                  amount: 1300
                                  formatted_amount: 1,300.00
                                  currency_code: USD
                                node_type: ACCOUNT
                                children: []
                              - id: 1013
                                index: 1
                                name: Tax Payable
                                code: '20006'
                                total:
                                  amount: 0
                                  formatted_amount: ''
                                  currency_code: USD
                                node_type: ACCOUNT
                                children: []
                              - id: 1009
                                index: 1
                                name: Owner A Drawings
                                code: '20002'
                                total:
                                  amount: 0
                                  formatted_amount: ''
                                  currency_code: USD
                                node_type: ACCOUNT
                                children: []
                              - id: 1010
                                index: 1
                                name: Loan
                                code: '20003'
                                total:
                                  amount: -10000
                                  formatted_amount: '-10,000.00'
                                  currency_code: USD
                                node_type: ACCOUNT
                                children: []
                              - id: 1011
                                index: 1
                                name: Opening Balance Liabilities
                                code: '20004'
                                total:
                                  amount: 0
                                  formatted_amount: ''
                                  currency_code: USD
                                node_type: ACCOUNT
                                children: []
                              - id: 1012
                                index: 1
                                name: Revenue Received in Advance
                                code: '20005'
                                total:
                                  amount: 0
                                  formatted_amount: ''
                                  currency_code: USD
                                node_type: ACCOUNT
                                children: []
                              - id: 1029
                                index: 1
                                name: Unearned Revenue
                                code: '50005'
                                total:
                                  amount: 0
                                  formatted_amount: ''
                                  currency_code: USD
                                node_type: ACCOUNT
                                children: []
                          - name: Long-Term Liabilities
                            id: LOGN_TERM_LIABILITY
                            node_type: AGGREGATE
                            type: AGGREGATE
                            total:
                              amount: 0
                              formatted_amount: $0.00
                              currency_code: USD
                            children: []
                          - name: Non-Current Liabilities
                            id: NON_CURRENT_LIABILITY
                            node_type: AGGREGATE
                            type: AGGREGATE
                            total:
                              amount: 0
                              formatted_amount: $0.00
                              currency_code: USD
                            children: []
                      - name: Equity
                        id: EQUITY
                        node_type: AGGREGATE
                        type: AGGREGATE
                        total:
                          amount: -113923
                          formatted_amount: '-$113,923.00'
                          currency_code: USD
                        children:
                          - id: 1014
                            index: 1
                            name: Retained Earnings
                            code: '30001'
                            total:
                              amount: 0
                              formatted_amount: ''
                              currency_code: USD
                            node_type: ACCOUNT
                            children: []
                          - id: 1015
                            index: 1
                            name: Opening Balance Equity
                            code: '30002'
                            total:
                              amount: 0
                              formatted_amount: ''
                              currency_code: USD
                            node_type: ACCOUNT
                            children: []
                          - id: 1016
                            index: 1
                            name: Owner's Equity
                            code: '30003'
                            total:
                              amount: 0
                              formatted_amount: ''
                              currency_code: USD
                            node_type: ACCOUNT
                            children: []
                          - id: 1017
                            index: 1
                            name: Drawings
                            code: '30003'
                            total:
                              amount: 0
                              formatted_amount: ''
                              currency_code: USD
                            node_type: ACCOUNT
                            children: []
                          - id: NET_INCOME
                            name: Net Income
                            node_type: NET_INCOME
                            total:
                              amount: -113923
                              formatted_amount: '-$113,923.00'
                              currency_code: USD
                            children: []
                meta:
                  organization_name: BIGCAPITAL, INC
                  base_currency: USD
                  date_format: DD MMM yyyy
                  is_cost_compute_running: false
                  sheet_name: Balance Sheet Statement
                  formatted_as_date: 2025/06/16
                  formatted_date_range: As 2025/06/16
            application/json+table:
              schema:
                $ref: '#/components/schemas/BalanceSheetTableResponseDto'
              example:
                table:
                  columns:
                    - key: name
                      label: Account name
                      cell_index: 0
                    - key: total
                      label: Total
                      children: []
                      cell_index: 1
                  rows:
                    - cells:
                        - key: name
                          value: Assets
                        - key: total
                          value: '-$122,623.00'
                      row_types:
                        - AGGREGATE
                      id: ASSETS
                      children:
                        - cells:
                            - key: name
                              value: Current Asset
                            - key: total
                              value: '-$122,623.00'
                          row_types:
                            - AGGREGATE
                          id: CURRENT_ASSETS
                          children:
                            - cells:
                                - key: name
                                  value: Cash and cash equivalents
                                - key: total
                                  value: '-$500.00'
                              row_types:
                                - AGGREGATE
                              id: CASH_EQUIVALENTS
                              children:
                                - cells:
                                    - key: name
                                      value: Undeposited Funds
                                    - key: total
                                      value: ''
                                  row_types:
                                    - ACCOUNT
                                  id: 1002
                                - cells:
                                    - key: name
                                      value: Petty Cash
                                    - key: total
                                      value: ''
                                  row_types:
                                    - ACCOUNT
                                  id: 1003
                                - cells:
                                    - key: name
                                      value: Bank Account
                                    - key: total
                                      value: '-500.00'
                                  row_types:
                                    - ACCOUNT
                                  id: 1000
                                - cells:
                                    - key: name
                                      value: Saving Bank Account
                                    - key: total
                                      value: ''
                                  row_types:
                                    - ACCOUNT
                                  id: 1001
                                - cells:
                                    - key: name
                                      value: Chase - Plaid Checking
                                    - key: total
                                      value: ''
                                  row_types:
                                    - ACCOUNT
                                  id: 1034
                                - cells:
                                    - key: name
                                      value: Total Cash and cash equivalents
                                    - key: total
                                      value: '-$500.00'
                                  row_types:
                                    - TOTAL
                                  id: CASH_EQUIVALENTS
                            - cells:
                                - key: name
                                  value: Accounts Receivable
                                - key: total
                                  value: $0.00
                              row_types:
                                - AGGREGATE
                              id: ACCOUNTS_RECEIVABLE
                              children:
                                - cells:
                                    - key: name
                                      value: Accounts Receivable (A/R)
                                    - key: total
                                      value: ''
                                  row_types:
                                    - ACCOUNT
                                  id: 1006
                                - cells:
                                    - key: name
                                      value: Total Accounts Receivable
                                    - key: total
                                      value: $0.00
                                  row_types:
                                    - TOTAL
                                  id: ACCOUNTS_RECEIVABLE
                            - cells:
                                - key: name
                                  value: Inventory
                                - key: total
                                  value: $1,000.00
                              row_types:
                                - AGGREGATE
                              id: INVENTORY
                              children:
                                - cells:
                                    - key: name
                                      value: Inventory Asset
                                    - key: total
                                      value: 1,000.00
                                  row_types:
                                    - ACCOUNT
                                  id: 1007
                                - cells:
                                    - key: name
                                      value: Total Inventory
                                    - key: total
                                      value: $1,000.00
                                  row_types:
                                    - TOTAL
                                  id: INVENTORY
                            - cells:
                                - key: name
                                  value: Other current assets
                                - key: total
                                  value: '-$123,123.00'
                              row_types:
                                - AGGREGATE
                              id: OTHER_CURRENT_ASSET
                              children:
                                - cells:
                                    - key: name
                                      value: Prepaid Expenses
                                    - key: total
                                      value: '-123,123.00'
                                  row_types:
                                    - ACCOUNT
                                  id: 1030
                                - cells:
                                    - key: name
                                      value: Total Other current assets
                                    - key: total
                                      value: '-$123,123.00'
                                  row_types:
                                    - TOTAL
                                  id: OTHER_CURRENT_ASSET
                            - cells:
                                - key: name
                                  value: Total Current Asset
                                - key: total
                                  value: '-$122,623.00'
                              row_types:
                                - TOTAL
                              id: CURRENT_ASSETS
                        - cells:
                            - key: name
                              value: Fixed Asset
                            - key: total
                              value: $0.00
                          row_types:
                            - AGGREGATE
                          id: FIXED_ASSET
                          children:
                            - cells:
                                - key: name
                                  value: Computer Equipment
                                - key: total
                                  value: ''
                              row_types:
                                - ACCOUNT
                              id: 1004
                            - cells:
                                - key: name
                                  value: Office Equipment
                                - key: total
                                  value: ''
                              row_types:
                                - ACCOUNT
                              id: 1005
                            - cells:
                                - key: name
                                  value: Total Fixed Asset
                                - key: total
                                  value: $0.00
                              row_types:
                                - TOTAL
                              id: FIXED_ASSET
                        - cells:
                            - key: name
                              value: Non-Current Assets
                            - key: total
                              value: $0.00
                          row_types:
                            - AGGREGATE
                          id: NON_CURRENT_ASSET
                        - cells:
                            - key: name
                              value: Total Assets
                            - key: total
                              value: '-$122,623.00'
                          row_types:
                            - TOTAL
                          id: ASSETS
                    - cells:
                        - key: name
                          value: Liabilities and Equity
                        - key: total
                          value: '-$122,623.00'
                      row_types:
                        - AGGREGATE
                      id: LIABILITY_EQUITY
                      children:
                        - cells:
                            - key: name
                              value: Liabilities
                            - key: total
                              value: '-$8,700.00'
                          row_types:
                            - AGGREGATE
                          id: LIABILITY
                          children:
                            - cells:
                                - key: name
                                  value: Current Liabilties
                                - key: total
                                  value: '-$8,700.00'
                              row_types:
                                - AGGREGATE
                              id: CURRENT_LIABILITY
                              children:
                                - cells:
                                    - key: name
                                      value: Accounts Payable (A/P)
                                    - key: total
                                      value: 1,300.00
                                  row_types:
                                    - ACCOUNT
                                  id: 1008
                                - cells:
                                    - key: name
                                      value: Tax Payable
                                    - key: total
                                      value: ''
                                  row_types:
                                    - ACCOUNT
                                  id: 1013
                                - cells:
                                    - key: name
                                      value: Owner A Drawings
                                    - key: total
                                      value: ''
                                  row_types:
                                    - ACCOUNT
                                  id: 1009
                                - cells:
                                    - key: name
                                      value: Loan
                                    - key: total
                                      value: '-10,000.00'
                                  row_types:
                                    - ACCOUNT
                                  id: 1010
                                - cells:
                                    - key: name
                                      value: Opening Balance Liabilities
                                    - key: total
                                      value: ''
                                  row_types:
                                    - ACCOUNT
                                  id: 1011
                                - cells:
                                    - key: name
                                      value: Revenue Received in Advance
                                    - key: total
                                      value: ''
                                  row_types:
                                    - ACCOUNT
                                  id: 1012
                                - cells:
                                    - key: name
                                      value: Unearned Revenue
                                    - key: total
                                      value: ''
                                  row_types:
                                    - ACCOUNT
                                  id: 1029
                                - cells:
                                    - key: name
                                      value: Total Current Liabilties
                                    - key: total
                                      value: '-$8,700.00'
                                  row_types:
                                    - TOTAL
                                  id: CURRENT_LIABILITY
                            - cells:
                                - key: name
                                  value: Long-Term Liabilities
                                - key: total
                                  value: $0.00
                              row_types:
                                - AGGREGATE
                              id: LOGN_TERM_LIABILITY
                            - cells:
                                - key: name
                                  value: Non-Current Liabilities
                                - key: total
                                  value: $0.00
                              row_types:
                                - AGGREGATE
                              id: NON_CURRENT_LIABILITY
                            - cells:
                                - key: name
                                  value: Total Liabilities
                                - key: total
                                  value: '-$8,700.00'
                              row_types:
                                - TOTAL
                              id: LIABILITY
                        - cells:
                            - key: name
                              value: Equity
                            - key: total
                              value: '-$113,923.00'
                          row_types:
                            - AGGREGATE
                          id: EQUITY
                          children:
                            - cells:
                                - key: name
                                  value: Retained Earnings
                                - key: total
                                  value: ''
                              row_types:
                                - ACCOUNT
                              id: 1014
                            - cells:
                                - key: name
                                  value: Opening Balance Equity
                                - key: total
                                  value: ''
                              row_types:
                                - ACCOUNT
                              id: 1015
                            - cells:
                                - key: name
                                  value: Owner's Equity
                                - key: total
                                  value: ''
                              row_types:
                                - ACCOUNT
                              id: 1016
                            - cells:
                                - key: name
                                  value: Drawings
                                - key: total
                                  value: ''
                              row_types:
                                - ACCOUNT
                              id: 1017
                            - cells:
                                - key: name
                                  value: Net Income
                                - key: total
                                  value: '-$113,923.00'
                              row_types:
                                - NET_INCOME
                              id: NET_INCOME
                            - cells:
                                - key: name
                                  value: Total Equity
                                - key: total
                                  value: '-$113,923.00'
                              row_types:
                                - TOTAL
                              id: EQUITY
                        - cells:
                            - key: name
                              value: Total Liabilities and Equity
                            - key: total
                              value: '-$122,623.00'
                          row_types:
                            - TOTAL
                          id: LIABILITY_EQUITY
                query:
                  display_columns_type: total
                  display_columns_by: year
                  from_date: '2025-01-01'
                  to_date: '2025-06-21'
                  number_format:
                    precision: 2
                    divide_on1000: false
                    show_zero: false
                    format_money: total
                    negative_format: mines
                  none_zero: false
                  none_transactions: false
                  basis: cash
                  account_ids: []
                  percentage_of_column: false
                  percentage_of_row: false
                  previous_period: false
                  previous_period_amount_change: false
                  previous_period_percentage_change: false
                  previous_year: false
                  previous_year_amount_change: false
                  previous_year_percentage_change: false
                meta:
                  organization_name: BIGCAPITAL, INC
                  base_currency: USD
                  date_format: DD MMM yyyy
                  is_cost_compute_running: false
                  sheet_name: Balance Sheet Statement
                  formatted_as_date: 2025/06/21
                  formatted_date_range: As 2025/06/21
components:
  schemas:
    BalanceSheetResponseDto:
      type: object
      properties:
        query:
          description: Query parameters used to generate the report
          allOf:
            - $ref: '#/components/schemas/BalanceSheetQueryResponseDto'
        data:
          description: Hierarchical balance sheet data
          type: array
          items:
            $ref: '#/components/schemas/BalanceSheetDataNodeDto'
        meta:
          description: Report metadata
          allOf:
            - $ref: '#/components/schemas/BalanceSheetMetaDto'
      required:
        - query
        - data
        - meta
    BalanceSheetTableResponseDto:
      type: object
      properties:
        table:
          description: Table data structure
          allOf:
            - $ref: '#/components/schemas/FinancialTableDataDto'
        query:
          description: Query parameters used to generate the report
          allOf:
            - $ref: '#/components/schemas/BalanceSheetQueryResponseDto'
        meta:
          description: Report metadata
          allOf:
            - $ref: '#/components/schemas/BalanceSheetMetaDto'
      required:
        - table
        - query
        - meta
    BalanceSheetQueryResponseDto:
      type: object
      properties:
        displayColumnsType:
          type: string
          description: Column display type
          enum:
            - total
            - date_periods
        displayColumnsBy:
          type: string
          description: Column grouping
          enum:
            - day
            - month
            - year
            - quarter
        fromDate:
          type: string
          description: Start date
        toDate:
          type: string
          description: End date
        numberFormat:
          description: Number format settings
          allOf:
            - $ref: '#/components/schemas/NumberFormatQueryDto'
        noneZero:
          type: boolean
          description: Exclude zero balance accounts
        noneTransactions:
          type: boolean
          description: Exclude accounts with no transactions
        basis:
          type: string
          description: Accounting basis
          enum:
            - cash
            - accrual
        accountIds:
          description: Account IDs to include
          type: array
          items:
            type: number
        percentageOfColumn:
          type: boolean
          description: Show percentage of column
        percentageOfRow:
          type: boolean
          description: Show percentage of row
        previousPeriod:
          type: boolean
          description: Include previous period
        previousPeriodAmountChange:
          type: boolean
          description: Show previous period amount change
        previousPeriodPercentageChange:
          type: boolean
          description: Show previous period percentage change
        previousYear:
          type: boolean
          description: Include previous year
        previousYearAmountChange:
          type: boolean
          description: Show previous year amount change
        previousYearPercentageChange:
          type: boolean
          description: Show previous year percentage change
      required:
        - displayColumnsType
        - displayColumnsBy
        - fromDate
        - toDate
        - numberFormat
        - noneZero
        - noneTransactions
        - basis
        - accountIds
        - percentageOfColumn
        - percentageOfRow
        - previousPeriod
        - previousPeriodAmountChange
        - previousPeriodPercentageChange
        - previousYear
        - previousYearAmountChange
        - previousYearPercentageChange
    BalanceSheetDataNodeDto:
      type: object
      properties:
        id:
          type: object
          description: Node identifier (string for aggregates, number for accounts)
        name:
          type: string
          description: Account or category name
        nodeType:
          type: string
          description: Type of node
          enum:
            - AGGREGATE
            - ACCOUNTS
            - ACCOUNT
            - NET_INCOME
        type:
          type: string
          description: Node type alias
        total:
          description: Total amount information
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
        horizontalTotals:
          description: Horizontal totals for date periods
          type: array
          items:
            $ref: '#/components/schemas/FinancialReportTotalDto'
        percentageRow:
          description: Percentage of row
          allOf:
            - $ref: '#/components/schemas/FinancialReportPercentageDto'
        percentageColumn:
          description: Percentage of column
          allOf:
            - $ref: '#/components/schemas/FinancialReportPercentageDto'
        previousPeriod:
          description: Previous period total
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
        previousPeriodChange:
          description: Previous period change
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
        previousPeriodPercentage:
          description: Previous period percentage
          allOf:
            - $ref: '#/components/schemas/FinancialReportPercentageDto'
        previousYear:
          description: Previous year total
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
        previousYearChange:
          description: Previous year change
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
        previousYearPercentage:
          description: Previous year percentage
          allOf:
            - $ref: '#/components/schemas/FinancialReportPercentageDto'
        code:
          type: string
          description: Account code
        index:
          type: number
          description: Display index
        parentAccountId:
          type: number
          description: Parent account ID
        children:
          description: Child nodes
          type: array
          items:
            $ref: '#/components/schemas/BalanceSheetDataNodeDto'
      required:
        - id
        - name
        - nodeType
        - total
    BalanceSheetMetaDto:
      type: object
      properties:
        organizationName:
          type: string
          description: Organization name
        baseCurrency:
          type: string
          description: Base currency code
        dateFormat:
          type: string
          description: Date format string
        isCostComputeRunning:
          type: boolean
          description: Whether cost computation is running
        sheetName:
          type: string
          description: Sheet name
        formattedAsDate:
          type: string
          description: Formatted as-of date
        formattedDateRange:
          type: string
          description: Formatted date range
      required:
        - organizationName
        - baseCurrency
        - dateFormat
        - isCostComputeRunning
        - sheetName
        - formattedAsDate
        - formattedDateRange
    FinancialTableDataDto:
      type: object
      properties:
        columns:
          description: Table column definitions
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableColumnDto'
        rows:
          description: Table row data
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableRowDto'
      required:
        - columns
        - rows
    NumberFormatQueryDto:
      type: object
      properties:
        precision:
          type: number
          description: Number of decimal places to display
          example: 2
        divideOn1000:
          type: boolean
          description: Whether to divide the number by 1000
          example: false
        showZero:
          type: boolean
          description: Whether to show zero values
          example: true
        formatMoney:
          type: string
          description: How to format money values
          example: total
          enum:
            - total
            - always
            - none
        negativeFormat:
          type: string
          description: How to format negative numbers
          example: parentheses
          enum:
            - parentheses
            - mines
    FinancialReportTotalDto:
      type: object
      properties:
        amount:
          type: number
          description: Numeric amount
        formattedAmount:
          type: string
          description: Formatted amount string
        currencyCode:
          type: string
          description: Currency code
        date:
          type: object
          description: Date associated with the total
      required:
        - amount
        - formattedAmount
        - currencyCode
    FinancialReportPercentageDto:
      type: object
      properties:
        amount:
          type: number
          description: Percentage amount
        formattedAmount:
          type: string
          description: Formatted percentage string
      required:
        - amount
        - formattedAmount
    FinancialTableColumnDto:
      type: object
      properties:
        key:
          type: string
          description: Column key
        label:
          type: string
          description: Column header label
        cellIndex:
          type: number
          description: Cell position index
        children:
          description: Nested column definitions
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableColumnDto'
      required:
        - key
        - label
    FinancialTableRowDto:
      type: object
      properties:
        cells:
          description: Cell data for this row
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableCellDto'
        rowTypes:
          description: Row type classifications
          type: array
          items:
            type: string
        id:
          type: object
          description: Row identifier
        children:
          description: Child rows
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableRowDto'
      required:
        - cells
        - rowTypes
        - id
    FinancialTableCellDto:
      type: object
      properties:
        key:
          type: string
          description: Cell key
        value:
          type: string
          description: Cell value
      required:
        - key
        - value

````